Force refresh token metadata
Force refresh token metadata for the specified contract and token ID (across multiple chains if provided)
GET
/insights/v1/nfts/metadata/refresh/{contract_address}/{token_id}
Force refresh token metadata for the specified contract and token ID (across multiple chains if provided)
Path Parameters
contract_address
string
required
path
Example:
"vitalik.eth"token_id
string
required
path
Query Parameters
chain
number[]
optional
query
Use chain_id instead
Example:
[20,56,1]chain_id
number[]
optional
query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example:
[20,56,1]Responses
200
Success
application/jsondata
object
REQUIRED
success
boolean
REQUIRED
message
string
REQUIRED
400
Bad request
500
Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/nfts/metadata/refresh/vitalik.eth/string'
const response = await fetch('https://data-api.b3.fun//insights/v1/nfts/metadata/refresh/vitalik.eth/string', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://data-api.b3.fun//insights/v1/nfts/metadata/refresh/vitalik.eth/string')
print(response.json())
200
Response
{
"data": {
"success": true,
"message": "<string>"
}
}
GET
/insights/v1/nfts/metadata/refresh/{contract_address}/{token_id}